org.vishia.guiBzr

## Class DataProject

- java.lang.Object
- - org.vishia.guiBzr.DataProject

-     public class DataProject
      extends java.lang.Object

  This class contains or refers all data of a project. A project is a software project which contains one or more archives of sources. Each source-file-bundle with its archive presents a component and it is arranged in a sub directory of the project folder.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) DataCmpn[]` | `data` All source components in this project.
    `(package private) java.io.File` | `filePrjPath` The project path in the current file system.
    `private java.util.Map<java.lang.String,DataCmpn>` | `indexCmpn` All components in this project.
    `private int` | `ixDataInit` ix while initialize the data.
    `(package private) java.lang.String` | `sPrjPath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataProject(java.lang.String sPrjPath)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) int` | `createComponentsData(java.io.File dirComponent)` Creates one component.
    `(package private) void` | `init(int nrofSwArchives)` Initializes newly.
    `(package private) DataCmpn` | `selectComponent(java.lang.String sName)` Searches a component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sPrjPath

          java.lang.String sPrjPath

    - #### filePrjPath

          java.io.File filePrjPath

      The project path in the current file system.

    - #### indexCmpn

          private java.util.Map<java.lang.String,DataCmpn> indexCmpn

      All components in this project. The key is the local path from the project folder to the folder, where the source archive (.bzr or .git) is arranged. The key is the same like `DataCmpn.sNameCmpn`.

    - #### data

          DataCmpn[] data

      All source components in this project. It will be ascertained while [refresh] button is pressed on the select panel. See `GuiStatusPanel.refreshProjectBzrComponents`

    - #### ixDataInit

          private int ixDataInit

      ix while initialize the data. At last number of data -1 (last index).

  - ### Constructor Detail

    - #### DataProject

          DataProject(java.lang.String sPrjPath)

  - ### Method Detail

    - #### init

          void init(int nrofSwArchives)

      Initializes newly. It is called on refresh.
      Parameters:
        `nrofSwArchives` -

    - #### createComponentsData

          int createComponentsData(java.io.File dirComponent)

      Creates one component.
      Parameters:
        `dirComponent` - The folder where the source archive (.bzr, .git file) is found.
      Returns:
        index of current component in `data`

    - #### selectComponent

          DataCmpn selectComponent(java.lang.String sName)

      Searches a component.
      Parameters:
        `sName` - The local folder path inside the software project to the components folder.
      Returns:
        null if it isn't found.